#
# spec file for package libticables2 (Version 1.2.0)
#

# norootforbuild

Name:           libticables2
BuildRequires:  glib2-devel libusb-devel git
Version:        1.3.3
Release:        %mkrel 1
Url:            http://ticalc.org
Summary:        A library for handling TI link cables
License:        GPL
Group:          Development/Libraries/C and C++
Source:         %{name}-%{version}.tar.xz
#Patch0:         libticables2-dont_use_reserved.patch
#Patch1:         libticables2-autoconf.patch
#Patch2:         libticables2-int_ptr_cast.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ticables library handles the different link cables designed
for TI's graphing calculators (also called handheld) in a fairly
transparent fashion. With this library, the developer does not have to
worry about the characteristics of the different link cables or the
different platforms.

The library provides a complete API which is very easy to use and makes
things easier.

The library supports all the currently available link cables:

- the home-made parallel (aka $5-cable)
- the home-made serial (aka $4-cable)
- the TI's BlackLink
- the TI's GrayLink
- the TI's SilverLink
- the TI's DirectLink

The library supports also some 'virtual' link cables for connection
with emulators:
- Virtual TI (VTi)
- TiEmu
- TiLEM

%package	libticables2
License:        GPL
Summary:        The TiCables2 runtime library
Group:          System/libraries

%description	libticables2
This package contains the TiCables2 runtime library.



%package        devel
License:        GPL
Summary:        Development files for libticables2
Group:          Development/Libraries/C and C++
Requires:       libticables2 = %{version}

%description    devel
This package contains the header files and libraries needed to develop
programs that use the TiCables2 library.



%prep
%setup -q
mkdir -p m4
#patch0
#patch1
#patch2

%build
autoreconf -fi
export CFLAGS="%{optflags}"
%configure --enable-libusb10
%__make %{?jobs:-j%jobs}

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/libticables2.la
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -n libticables2 -p /sbin/ldconfig

%postun -n libticables2 -p /sbin/ldconfig

%files -n libticables2 -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libticables2.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tilp2
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/ticables2.pc

%changelog
* Wed Sep 05 2012 Neal <nealbrks0 at gmail dot com> 1.3.3-1pclos2012
- process

* Tue Sep 04 2012 gseaman <galen.seaman at comcast.net> 1.3.3-1pclos2012
- build for PCLinuxOS

* Thu Jan 15 2009 pth@suse.de
- Fix test for libusb for real.
- Fix int to pointer cast.
* Tue Jan 13 2009 pth@suse.de
- Initial package
- Don't use reserved macro name prefix LT_, use LTIC_ instead.
- Prefix cache variables with ltic_cv_
